<!DOCTYPE html>

<html lang="en" data-content_root="./">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="viewport" content="width=device-width, initial-scale=1" />

    <title>python &#8212; NLP004  documentation</title>
    <link rel="stylesheet" type="text/css" href="_static/pygments.css?v=4f649999" />
    <link rel="stylesheet" type="text/css" href="_static/alabaster.css?v=039e1c02" />
    <script src="_static/documentation_options.js?v=5929fcd5"></script>
    <script src="_static/doctools.js?v=888ff710"></script>
    <script src="_static/sphinx_highlight.js?v=dc90522c"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="helpers" href="helpers.html" />
    <link rel="prev" title="Welcome to NLP004’s documentation!" href="index.html" />
   
  <link rel="stylesheet" href="_static/custom.css" type="text/css" />
  
  
  <meta name="viewport" content="width=device-width, initial-scale=0.9, maximum-scale=0.9" />

  </head><body>
  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          

          <div class="body" role="main">
            
  <section id="python">
<h1>python<a class="headerlink" href="#python" title="Link to this heading">¶</a></h1>
<div class="toctree-wrapper compound">
<ul>
<li class="toctree-l1"><a class="reference internal" href="helpers.html">helpers</a><ul>
<li class="toctree-l2"><a class="reference internal" href="helpers/helper_functions.html">helper_functions</a><ul>
<li class="toctree-l3"><a class="reference internal" href="helpers/helper_functions.html#helpers.helper_functions.connect_to_db"><code class="docutils literal notranslate"><span class="pre">connect_to_db()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="helpers/helper_functions.html#helpers.helper_functions.crossref_metada_api_call"><code class="docutils literal notranslate"><span class="pre">crossref_metada_api_call()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="helpers/helper_functions.html#helpers.helper_functions.doi_to_filename"><code class="docutils literal notranslate"><span class="pre">doi_to_filename()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="helpers/helper_functions.html#helpers.helper_functions.filepath_to_doi"><code class="docutils literal notranslate"><span class="pre">filepath_to_doi()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="helpers/helper_functions.html#helpers.helper_functions.filter_named_entities"><code class="docutils literal notranslate"><span class="pre">filter_named_entities()</span></code></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="helpers/preprocessing.html">preprocessing</a><ul>
<li class="toctree-l3"><a class="reference internal" href="helpers/preprocessing.html#helpers.preprocessing.clean_new_lines"><code class="docutils literal notranslate"><span class="pre">clean_new_lines()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="helpers/preprocessing.html#helpers.preprocessing.clean_stop_words"><code class="docutils literal notranslate"><span class="pre">clean_stop_words()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="helpers/preprocessing.html#helpers.preprocessing.clean_white_spaces"><code class="docutils literal notranslate"><span class="pre">clean_white_spaces()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="helpers/preprocessing.html#helpers.preprocessing.cut_text_on_phrase"><code class="docutils literal notranslate"><span class="pre">cut_text_on_phrase()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="helpers/preprocessing.html#helpers.preprocessing.lem_words"><code class="docutils literal notranslate"><span class="pre">lem_words()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="helpers/preprocessing.html#helpers.preprocessing.lowercase_text"><code class="docutils literal notranslate"><span class="pre">lowercase_text()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="helpers/preprocessing.html#helpers.preprocessing.preprocessing_pipeline"><code class="docutils literal notranslate"><span class="pre">preprocessing_pipeline()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="helpers/preprocessing.html#helpers.preprocessing.remove_first_line"><code class="docutils literal notranslate"><span class="pre">remove_first_line()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="helpers/preprocessing.html#helpers.preprocessing.remove_puntuation"><code class="docutils literal notranslate"><span class="pre">remove_puntuation()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="helpers/preprocessing.html#helpers.preprocessing.stem_words"><code class="docutils literal notranslate"><span class="pre">stem_words()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="helpers/preprocessing.html#helpers.preprocessing.tokenize_if_string"><code class="docutils literal notranslate"><span class="pre">tokenize_if_string()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="helpers/preprocessing.html#helpers.preprocessing.translate_interval_dash"><code class="docutils literal notranslate"><span class="pre">translate_interval_dash()</span></code></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="helpers/text_encoder.html">text_encoder</a></li>
<li class="toctree-l2"><a class="reference internal" href="helpers/get_by_doi.html">get_by_doi</a><ul>
<li class="toctree-l3"><a class="reference internal" href="helpers/get_by_doi.html#helpers.get_by_doi.get_by_doi"><code class="docutils literal notranslate"><span class="pre">get_by_doi()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="helpers/get_by_doi.html#helpers.get_by_doi.get_doi_from_req"><code class="docutils literal notranslate"><span class="pre">get_doi_from_req()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="helpers/get_by_doi.html#helpers.get_by_doi.get_doi_prefix_dict"><code class="docutils literal notranslate"><span class="pre">get_doi_prefix_dict()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="helpers/get_by_doi.html#helpers.get_by_doi.get_elsevier_by_doi"><code class="docutils literal notranslate"><span class="pre">get_elsevier_by_doi()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="helpers/get_by_doi.html#helpers.get_by_doi.get_publisher"><code class="docutils literal notranslate"><span class="pre">get_publisher()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="helpers/get_by_doi.html#helpers.get_by_doi.get_springer_by_doi"><code class="docutils literal notranslate"><span class="pre">get_springer_by_doi()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="helpers/get_by_doi.html#helpers.get_by_doi.get_wiley_by_doi"><code class="docutils literal notranslate"><span class="pre">get_wiley_by_doi()</span></code></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="helpers/keyphrase_extractor.html">keyphrase_extractor</a><ul>
<li class="toctree-l3"><a class="reference internal" href="helpers/keyphrase_extractor.html#helpers.keyphrase_extractor.KeyphraseExtractionPipeline"><code class="docutils literal notranslate"><span class="pre">KeyphraseExtractionPipeline</span></code></a><ul>
<li class="toctree-l4"><a class="reference internal" href="helpers/keyphrase_extractor.html#helpers.keyphrase_extractor.KeyphraseExtractionPipeline.postprocess"><code class="docutils literal notranslate"><span class="pre">KeyphraseExtractionPipeline.postprocess()</span></code></a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="helpers/keyphrase_extractor.html#helpers.keyphrase_extractor.extractor"><code class="docutils literal notranslate"><span class="pre">extractor()</span></code></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="helpers/rules.html">rules</a><ul>
<li class="toctree-l3"><a class="reference internal" href="helpers/rules.html#helpers.rules.dcg"><code class="docutils literal notranslate"><span class="pre">dcg()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="helpers/rules.html#helpers.rules.get_epoch_name"><code class="docutils literal notranslate"><span class="pre">get_epoch_name()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="helpers/rules.html#helpers.rules.get_epochs_number"><code class="docutils literal notranslate"><span class="pre">get_epochs_number()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="helpers/rules.html#helpers.rules.get_key_words"><code class="docutils literal notranslate"><span class="pre">get_key_words()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="helpers/rules.html#helpers.rules.named_entity_bert"><code class="docutils literal notranslate"><span class="pre">named_entity_bert()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="helpers/rules.html#helpers.rules.named_entity_nltk"><code class="docutils literal notranslate"><span class="pre">named_entity_nltk()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="helpers/rules.html#helpers.rules.named_entity_spacy"><code class="docutils literal notranslate"><span class="pre">named_entity_spacy()</span></code></a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="scripts.html">scripts</a><ul>
<li class="toctree-l2"><a class="reference internal" href="scripts/count_abstracts.html">count_abstracts</a><ul>
<li class="toctree-l3"><a class="reference internal" href="scripts/count_abstracts.html#scripts.count_abstracts.main"><code class="docutils literal notranslate"><span class="pre">main()</span></code></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="scripts/epochs_to_db.html">epochs_to_db</a></li>
<li class="toctree-l2"><a class="reference internal" href="scripts/get_abstracts.html">get_abstracts</a><ul>
<li class="toctree-l3"><a class="reference internal" href="scripts/get_abstracts.html#scripts.get_abstracts.main"><code class="docutils literal notranslate"><span class="pre">main()</span></code></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="scripts/epoch_csv_gen.html">epoch_csv_gen</a></li>
<li class="toctree-l2"><a class="reference internal" href="scripts/get_abstract_from_doi_with_request.html">get_abstract_from_doi_with_request</a></li>
<li class="toctree-l2"><a class="reference internal" href="scripts/get_list_of_publishers.html">get_list_of_publishers</a><ul>
<li class="toctree-l3"><a class="reference internal" href="scripts/get_list_of_publishers.html#scripts.get_list_of_publishers.main"><code class="docutils literal notranslate"><span class="pre">main()</span></code></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</section>


          </div>
          
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
<h1 class="logo"><a href="index.html">NLP004</a></h1>








<h3>Navigation</h3>
<p class="caption" role="heading"><span class="caption-text">Contents:</span></p>
<ul class="current">
<li class="toctree-l1 current"><a class="current reference internal" href="#">python</a><ul>
<li class="toctree-l2"><a class="reference internal" href="helpers.html">helpers</a></li>
<li class="toctree-l2"><a class="reference internal" href="scripts.html">scripts</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="pipe.html">pipe</a></li>
</ul>

<div class="relations">
<h3>Related Topics</h3>
<ul>
  <li><a href="index.html">Documentation overview</a><ul>
      <li>Previous: <a href="index.html" title="previous chapter">Welcome to NLP004’s documentation!</a></li>
      <li>Next: <a href="helpers.html" title="next chapter">helpers</a></li>
  </ul></li>
</ul>
</div>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false"/>
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>document.getElementById('searchbox').style.display = "block"</script>








        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="footer">
      &copy;2023, Ughur Mammadzada.
      
      |
      Powered by <a href="http://sphinx-doc.org/">Sphinx 7.2.6</a>
      &amp; <a href="https://github.com/bitprophet/alabaster">Alabaster 0.7.13</a>
      
      |
      <a href="_sources/modules.rst.txt"
          rel="nofollow">Page source</a>
    </div>

    

    
  </body>
</html>